slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSIsGeneralized

Ask if the EPS object corresponds to a generalized eigenvalue problem.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSIsGeneralized(EPS eps,PetscBool* is)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| is | - the answer

### See Also

EPSIsHermitian(), EPSIsPositive()

### Level

intermediate

### Location

src/eps/interface/epsbasic.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages